# Generated from asciidoctor-rouge-0.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name asciidoctor-rouge

Name: rubygem-%{gem_name}
Version: 0.4.0
Release: 1%{?dist}
Summary: Rouge code highlighter support for Asciidoctor
License: MIT
URL: https://github.com/jirutka/asciidoctor-rouge
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1
# BuildRequires: rubygem(corefines) >= 1.11
# BuildRequires: rubygem(corefines) < 2
# BuildRequires: rubygem(kramdown) >= 1.16
# BuildRequires: rubygem(kramdown) < 2
# BuildRequires: rubygem(rspec) >= 3.6
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.49.0
# BuildRequires: rubygem(rubocop) < 0.50
# BuildRequires: rubygem(simplecov) >= 0.14
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
Rouge code highlighter support for Asciidoctor.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.adoc
%doc %{gem_instdir}/asciidoctor-rouge.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.4.0-1
- Initial package
